Subject: [Gen-art] Genart last call review of draft-nottingham-rfc5785bis-08

From: Erik Kline <[email-masked]>
Date: Tue, 05 Feb 2019 23:10:59 -0800

Reviewer: Erik Kline
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-nottingham-rfc5785bis-??
Reviewer: Erik Kline
Review Date: 2019-02-05
IETF LC End Date: 2019-02-05
IESG Telechat date: Not scheduled for a telechat

Summary:

Seems generally ready to go, but I have a few questions.  I apologize if these
don't many any sense in the proper context of this document.

Major issues:

Minor issues:

Nits/editorial comments:

[1] I assume the URIs in 6.3 are also meant to be deleted upon publication?

[2] WRT to the final lines of 5.1:

    [a] "Replace all references to RFC 5988 in that registry have been
    replaced..." doesn't scan well, I think.

    [b] If the IANA repo in question is
    https://www.iana.org/assignments/well-known-uris/well-known-uris.xhtml, I
    don't see any mention of 5988 in there.

[3] Naive question: do we want a statement about reserving/agreeing to never
allocate "example" in the .well-known space?

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 6 Feb 2019 18:21:27 +1100

Hi Erik!

> On 6 Feb 2019, at 6:10 pm, Erik Kline <[email-masked]> wrote:
> 
> 
> Nits/editorial comments:
> 

Not all of them; just the ones referenced from the section that's marked for deletion.

>    don't see any mention of 5988 in there.

That's been removed since, as a result of another review.

> allocate "example" in the .well-known space?

Good question! I'm neutral on this; does anyone have strong feelings?

Cheers,

--
Mark Nottingham   https://www.mnot.net/

---

From: Julian Reschke <[email-masked]>
Date: Wed, 6 Feb 2019 14:59:43 +0100

On 06.02.2019 08:21, Mark Nottingham wrote:
> ...

Well, there's only one left them. The referencing text is:

>    Some applications on the Web require the discovery of information
>    about an origin [RFC6454] (sometimes called "site-wide metadata")
>    before making a request.  For example, the Robots Exclusion Protocol
>    (http://www.robotstxt.org/ [5]) specifies a way for automated
>    processes to obtain permission to access resources; likewise, the
>    Platform for Privacy Preferences [P3P] tells user-agents how to
>    discover privacy policy before interacting with an origin server.

Removing the "[5]" and dropping Section 6.3 completely seems to be best, 
but in doubt this can be left to the RFC Editor.

Best regards, Julian

---

From: Barry Leiba <[email-masked]>
Date: Wed, 6 Feb 2019 09:38:52 -0500

> Good question! I'm neutral on this; does anyone have strong feelings?

I wouldn't say my feelings are strong, but I think it's unnecessary.
The reason we have IP addresses and domain names set aside for example
use is that otherwise anything we put in documents might wind up in
actual use and result in nuisance traffic or worse.  If we publish an
example of .well-known in some document and decide to use "frobozz"
for the example, and "frobozz" some day winds up in actual use, what's
the harm.

Also, how useful is it to have exactly one example string?  Maybe we'd
need to assign anything that begins with "example-" as a reserved
string.  And then we're not far from "X-", and we know where that got
us.[RFC6648]

Barry

---

From: Erik Kline <[email-masked]>
Date: Wed, 6 Feb 2019 12:04:02 -0800

> string.  And then we're not far from "X-", and we know where that got

Fair enough.

Mark used example.com-metadata in the doc, IIRC, which I think makes
it pretty clear that the example space is plenty large enough.

Thanks.

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 20 Feb 2019 19:17:18 -0500

Erik, thanks for your review. Mark and Barry, thanks for your responses. I entered a No Objection ballot.

Alissa

> On Feb 6, 2019, at 3:04 PM, Erik Kline <[email-masked]> wrote:
> 
> On Wed, 6 Feb 2019 at 06:39, Barry Leiba <[email-masked] <mailto:[email-masked]>> wrote:
>> 
> Mark used example.com <http://example.com/>-metadata in the doc, IIRC, which I think makes
> _______________________________________________
> Gen-art mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gen-art <https://www.ietf.org/mailman/listinfo/gen-art>